Bulk Reassign Endpoint
curl --request POST \
--url https://api.example.com/v2/partners/bulk/reassign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partner_ids": [
"<string>"
],
"assignee_id": "<string>",
"all_open": true,
"all_assigned": true,
"all_previous_assignee": true,
"all_unassigned": true
}
'import requests
url = "https://api.example.com/v2/partners/bulk/reassign"
payload = {
"partner_ids": ["<string>"],
"assignee_id": "<string>",
"all_open": True,
"all_assigned": True,
"all_previous_assignee": True,
"all_unassigned": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
partner_ids: ['<string>'],
assignee_id: '<string>',
all_open: true,
all_assigned: true,
all_previous_assignee: true,
all_unassigned: true
})
};
fetch('https://api.example.com/v2/partners/bulk/reassign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reassigned_count": 1
}{
"type": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}partners
Bulk Reassign Endpoint
Bulk Reassign Partners
Reassign multiple partners to a different assignee. Updates the assignee for all specified partners and optionally reassigns their tasks. Uses batch operations for optimal performance.
POST
/
v2
/
partners
/
bulk
/
reassign
Bulk Reassign Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request schema for bulk reassigning partners to a different assignee.
Minimum array length:
1New assignee ID, or null to unassign
Reassign all open tasks
Reassign tasks that are currently assigned
Reassign tasks assigned to the partner's previous assignee
Reassign tasks that are currently unassigned
Response
Successful Response
Response schema for bulk reassignment.
Required range:
x >= 0⌘I
